## org.eclipse.emf.cdo.common.revision.delta
Interface CDOFeatureDeltaVisitor

All Known Implementing Classes:
  org.eclipse.emf.cdo.internal.common.revision.delta.CDOFeatureDeltaVisitorImpl, CDORevisionMerger

    public interface CDOFeatureDeltaVisitor

Method Summary
`void` `visit(CDOAddFeatureDelta delta)`
`void` `visit(CDOClearFeatureDelta delta)`
`void` `visit(CDOContainerFeatureDelta delta)`
`void` `visit(CDOListFeatureDelta delta)`
`void` `visit(CDOMoveFeatureDelta delta)`
`void` `visit(CDORemoveFeatureDelta delta)`
`void` `visit(CDOSetFeatureDelta delta)`
`void` `visit(CDOUnsetFeatureDelta delta)`

Method Detail

### visit

    void visit(CDOMoveFeatureDelta delta)

### visit

    void visit(CDOAddFeatureDelta delta)

### visit

    void visit(CDORemoveFeatureDelta delta)

### visit

    void visit(CDOSetFeatureDelta delta)

### visit

    void visit(CDOUnsetFeatureDelta delta)

### visit

    void visit(CDOListFeatureDelta delta)

### visit

    void visit(CDOClearFeatureDelta delta)

### visit

    void visit(CDOContainerFeatureDelta delta)

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.